---
title: BluetoothRemoteGATTCharacteristic.getDescriptor()
slug: Web/API/BluetoothRemoteGATTCharacteristic/getDescriptor
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - getDescriptor()
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.getDescriptor()</code></strong> method returns a {{jsxref("Promise")}} that resolves to the first {{domxref("BluetoothGATTDescriptor")}} for a given descriptor UUID.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTCharacteristic.getDescriptor(bluetoothDescriptorUUID).then(function(bluetoothGATTDescriptor) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} that resolves to the first {{domxref("BluetoothGATTDescriptor")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-getdescriptor", "getDescriptor()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.getDescriptor")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
